Summary:	QupZilla - Web browser based on QtWebKit
Summary(de):	QupZilla - Webbrowser der auf QtWebKit basiert
Name:		qupzilla
Version:	2.0.1
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/WWW
URL:		http://www.qupzilla.com
Source0:	%name-%version.tar.xz
#--------------------------------
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}x11-devel
#--------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5webengine-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{_lib}qt5-database-plugin-sqlite
Requires: qtwebengine5
Requires: %{_lib}qt5sql5
Requires: %{_lib}qt5quickwidgets5


%description
QupZilla is a new and very fast World Wide Web Browser
which uses Qt Framework and its QtWebKit rendering core.
It is a lightweight browser with some advanced functions
like integrated AdBlock, Search Engines Manager, Theming
support, Speed Dial and SSL Certificate manager.

%description -l de
QupZilla ist ein neuer und sehr schneller World Wide Web 
Browser, der das Qt Framework und den QtWebKit Rendering
Kern nutzt. Es ist ein Resourcen schonender Browser mit 
erweiterten Funktionen, wie integriertem Werbeblocker, 
Suchmaschienenverwaltung, Themensupport, Schnellverbindung und 
SSL Zertifikatemanager.

%prep
%setup -q

%build
export USE_LIBPATH=%{_libdir}/
%qmake_qt5
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot} 

#dont need this
rm -f %buildroot/%{_libdir}/libQupZilla.so

cat > %{name}.lang << EOF
%lang(ja) /usr/share/qupzilla/locale/qt_ja.qm
%lang(RU) /usr/share/qupzilla/locale/ru_RU.qm
%lang(PT) /usr/share/qupzilla/locale/pt_PT.qm
%lang(it) /usr/share/qupzilla/locale/qt_it.qm
%lang(fa) /usr/share/qupzilla/locale/qt_fa.qm
%lang(RS) /usr/share/qupzilla/locale/sr_RS.qm
%lang(pt) /usr/share/qupzilla/locale/qt_pt.qm
%lang(uk) /usr/share/qupzilla/locale/qt_uk.qm
%lang(sk) /usr/share/qupzilla/locale/qt_sk.qm
%lang(GR) /usr/share/qupzilla/locale/el_GR.qm
%lang(JP) /usr/share/qupzilla/locale/ja_JP.qm
%lang(RO) /usr/share/qupzilla/locale/ro_RO.qm
%lang(sr_RS) /usr/share/qupzilla/locale/qt_sr_RS.qm
%lang(zh_CN) /usr/share/qupzilla/locale/qt_zh_CN.qm
%lang(SE) /usr/share/qupzilla/locale/sv_SE.qm
%lang(CZ) /usr/share/qupzilla/locale/cs_CZ.qm
%lang(VE) /usr/share/qupzilla/locale/es_VE.qm
%lang(ID) /usr/share/qupzilla/locale/id_ID.qm
%lang(es) /usr/share/qupzilla/locale/qt_es.qm
%lang(de) /usr/share/qupzilla/locale/qt_de.qm
%lang(IR) /usr/share/qupzilla/locale/fa_IR.qm
%lang(cs) /usr/share/qupzilla/locale/qt_cs.qm
%lang(GE) /usr/share/qupzilla/locale/ka_GE.qm
%lang(ES) /usr/share/qupzilla/locale/es_ES.qm
%lang(UA) /usr/share/qupzilla/locale/uk_UA.qm
%lang(hu) /usr/share/qupzilla/locale/qt_hu.qm
%lang(IT) /usr/share/qupzilla/locale/it_IT.qm
%lang(CN) /usr/share/qupzilla/locale/zh_CN.qm
%lang(nl) /usr/share/qupzilla/locale/qt_nl.qm
%lang(sr_BA) /usr/share/qupzilla/locale/qt_sr_BA.qm
%lang(SK) /usr/share/qupzilla/locale/sk_SK.qm
%lang(BA) /usr/share/qupzilla/locale/sr_BA.qm
%lang(zh_TW) /usr/share/qupzilla/locale/qt_zh_TW.qm
%lang(HU) /usr/share/qupzilla/locale/hu_HU.qm
%lang(PL) /usr/share/qupzilla/locale/pl_PL.qm
%lang(sv) /usr/share/qupzilla/locale/qt_sv.qm
%lang(DE) /usr/share/qupzilla/locale/de_DE.qm
%lang(TW) /usr/share/qupzilla/locale/zh_TW.qm
%lang(fr) /usr/share/qupzilla/locale/qt_fr.qm
%lang(NL) /usr/share/qupzilla/locale/nl_NL.qm
%lang(el) /usr/share/qupzilla/locale/qt_el.qm
%lang(BR) /usr/share/qupzilla/locale/pt_BR.qm
%lang(pl) /usr/share/qupzilla/locale/qt_pl.qm
%lang(FR) /usr/share/qupzilla/locale/fr_FR.qm
%lang(ru) /usr/share/qupzilla/locale/qt_ru.qm
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/libQupZilla.so.*
# plugins
%{_libdir}/%{name}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/bash-completion
%doc AUTHORS COPYRIGHT FAQ README.md
%{_datadir}/appdata/qupzilla.appdata.xml

%changelog
* Sun Jun 12 2016 woodhead <pp> 2.0.1-1pclos2016
- update

* Sun Apr 17 2016 bb <bb> 2.0.0-4pclos2016
- add some req deps

* Thu Apr 14 2016 bb <bb> 2.0.0-3pclos2016
- update from master git

* Thu Apr 14 2016 bb <bb> 2.0.0-2pclos2016
- add dep qtwebengine5

* Thu Apr 14 2016 bb <bb> 2.0.0-1pclos2016
- update and build against qtwebengine

* Sat Apr 02 2016 bb <bb> 1.8.9-2pclos2016
- build against qt5

* Sat Nov 14 2015 bb <bb> 1.8.9-1pclos2015
- update

* Sat Oct 24 2015 bb <bb> 1.8.8-1pclos2015
- update

* Tue Jan 27 2015 bb <bb> 1.8.6-1pclos2015
- update

